// MultiDoc.cpp
//

#include "stdafx.h"
#include "Multi.h"

#include "MultiDoc.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// Объекты класса CMultiDoc могут создаваться динамически
IMPLEMENT_DYNCREATE(CMultiDoc, CDocument)

// Таблица сообщений класса CMultiDoc
BEGIN_MESSAGE_MAP(CMultiDoc, CDocument)
   //{{AFX_MSG_MAP(CMultiDoc)
   //}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// Конструктор и деструктор класса CMultiDoc 

CMultiDoc::CMultiDoc()
{
	// TODO: 
}

CMultiDoc::~CMultiDoc()
{
}


/////////////////////////////////////////////////////////////////////////////
// Метод OnNewDocument класса CMultiDoc 

BOOL CMultiDoc::OnNewDocument()
{
   if (!CDocument::OnNewDocument())
      return FALSE;

   // TODO: Здесь можно выполнить инициализацию документа

   return TRUE;
}

/////////////////////////////////////////////////////////////////////////////
// Метод Serialize класса CMultiDoc 

void CMultiDoc::Serialize(CArchive& ar)
{
	if (ar.IsStoring())
	{
		// TODO: add storing code here
	}
	else
	{
		// TODO: add loading code here
	}
}

/////////////////////////////////////////////////////////////////////////////
// Диагностические методы класса CMultiDoc 

#ifdef _DEBUG
void CMultiDoc::AssertValid() const
{
	CDocument::AssertValid();
}

void CMultiDoc::Dump(CDumpContext& dc) const
{
	CDocument::Dump(dc);
}
#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
